@font-face {
    font-family: 'Vollkorn';
    src: url('vollkorn/WOFF/vollkorn-regular-webfont.woff');
}

body {
    font-family: 'Vollkorn', serif;
    background-image: url(images/black-background-wallpaper-abstract-paint-texture.jpg);
    background-size: cover;
    background-attachment: fixed;
    background-color: black;
    margin: 0;
    padding: 0;
    line-height: 1.6;
    color: #333;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.wrapper {
    display: grid;
    grid-template-columns: 25% 75%; 
    gap: 0;
    width: 100%;
    flex: 1; 
}

header {
    background-color: #1b1b1be6;
    padding: 30px 15px;
    padding-left: 40px;
    padding-top: 40px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
}

header h2 {
    font-size: 24px;
    color: #ededed;
    text-align: left;
    width: 100%;
}

header nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 100%;
}

header nav ul li {
    text-align: left;
}

header nav ul li a {
    text-decoration: none;
    color: #ededed;
    padding: 5px;
    border-radius: 4px;
    transition: background-color 0.3s;
}

header nav ul li a:hover, a:active {
    background-color: #444444e4;
    color: hsl(339, 100%, 92%);
}

header nav ul li a:visited {
    color: #c3f2ff;
}

header hr {
    border: none;
    border-top: 1px solid #ededed;
    margin: 8px 0;
    margin-bottom: 20px;
    width: 90%;
}

header nav ul .submenu {
    margin-left: 20px; 
}

header nav ul .submenu li {
    margin-left: 10px; 
}

.submenu {
    margin-left: 20px; 
}
.submenu li {
    margin-left: 10px; 
}

main {
    padding: 30px 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

main h1 {
    text-align: center;
    color: #ededed;
    background-color: #1b1b1be0;
    padding: 20px;
    padding-right: 10px;
    margin-right: 60px; 
    border-radius: 4px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
    width: calc(100% - 30px); 
}

.project {
    display: flex;
    flex-direction: row;
    gap: 20px; 
}

.project-details a{
    text-decoration: none;
    padding: 3px;
    border-radius: 4px;
    transition: background-color 0.3s;
    color: #ededed;
}

.project-details a:hover, a:active{
    background-color: #232323d4;
    color: hsl(339, 100%, 92%);
}

.project-details a:visited{
    color: #c0f1ff;
}

.project-details {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    width: 40%; 
    margin-top: 0px;
    background-color: #3e3e3ef0;
    color: white;
    font-size: 1em;
    word-spacing: 2px;
    cursor: pointer;
}

.project img {
    margin-top: 20px;

}

.description {
    margin-top: 10px;
    font-size: 16px;
    background-color: #1b1b1bd6;
    color: #ededed;
    padding: 25px;
    line-height: 1.7;
}

footer {
    text-align: center;
    padding: 10px;
    background: #333;
    color: #fff;
    grid-column: 1 / 3; /* Spans across both columns */
    margin-top: auto; /* Pushes it to the bottom */
}

.nav-icon {
    display: none;
    cursor: pointer;
    background: none;
    border: none;
}


.nav-icon svg {
    width: 24px;
    height: 24px;
}

@media (max-width: 768px) {
    .wrapper {
        grid-template-columns: 1fr; 
    }

    header {
        width: 100%;
        align-items: center;
        padding: 20px;
        text-align: center;
    }
    header h2{
        text-align: center;
    }

    main {
        align-items: center;
    }

    .project {
        text-align: center;
        flex-direction: column;
    }

    .project img {
        width: 100%; 
    }

    .project-details {
        width: 100%; 
    }

    main h1 {
        margin-right: 0;
        width: 100%;
    }

    .nav-icon {
        display: block;
    }

    nav ul {
        display: none; 
    }

    nav ul.show {
        display: block; 
        position: absolute;
        background-color: #1b1b1be6;
        top: 60px;
        left: 0;
        width: 100%;
        padding: 10px;
    }
}


@media only screen and (prefers-color-scheme: dark) {
    body {
        background-color: #000;
        color: #ffffff;
        background-size: cover;
        background-image: url(images/black-background-wallpaper-abstract-paint-texture.jpg);
        filter: brightness(0.8);
    }
}

@media only screen and (prefers-color-scheme: light) {
    body {
        background-color: #fff;
        color: #000;
        background-image: url(images/black-background-wallpaper-abstract-paint-texture.jpg);
        background-size: cover;
        filter: brightness(1.3); 
    }

    header {
        background-color: #ecececd6;
    }
    
    header h2 {
        color: black;
    }

    header nav ul li a {
        color: black;
    }

    .project-details, .description,  main h1 {
        color: black;
        background-color: #ecececd6;
    }

}



body.pastel-mode {
    background: linear-gradient(135deg, #f8d7da, #d4edda); 
    color: #333; 
}

header.pastel-mode {
    background-color: #f8d7da; 
    color: #333; 
}

header.pastel-mode h2 {
    color: #333;
}

header.pastel-mode hr {
    border-top: 1px solid #333;
}

nav.pastel-mode ul li a {
    color: #333;
    background-color: #d4edda;
    border-radius: 4px;
    padding: 5px;
}

nav.pastel-mode ul li a:hover, a:active {
    background-color: #f8d7da; 
    color: #333; 
}

nav.pastel-mode ul li a:visited {
    background-color: #f8d7da; 
    color: #426b4b; 
}

main.pastel-mode h1 {
    background-color: #d4edda; 
    color: #333; 
    border-radius: 5px;
    padding: 20px;
}

.project.pastel-mode {
    border: 2px solid #f8d7da;
    background-color: #d4edda; 
}

.project-details.pastel-mode {
    background-color: #f8d7da; 
    color: #333;
}

.description.pastel-mode {
    background-color: #d4edda; 
    color: #333;
    border-radius: 5px;
    padding: 20px;
}

footer.pastel-mode {
    background-color: #d4edda; 
    color: #333; 
}
